CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
AddRegistryModelRequest req = new AddRegistryModelRequest() {
Id = "meetkai:my-custom-chat-v1",
Provider = "openai-compatible",
ModelId = "my-custom-chat-v1",
DisplayName = "My Custom Chat v1",
BaseUrl = "https://models.example.com/v1",
ApiFormat = AutoEndpoint.Responses,
ApiProviderType = AddRegistryModelRequestApiProviderType.Groq,
Created = 1704067200,
Auth = AddRegistryModelRequestAuthUnion.CreateApiKey(
new AddRegistryModelRequestAuth1() {
Value = "sk-your-provider-api-key",
}
),
Capabilities = new AddRegistryModelRequestCapabilities() {
Modalities = new AddRegistryModelRequestModalities() {
Input = new List<AddRegistryModelRequestInput>() {
AddRegistryModelRequestInput.Text,
},
Output = new List<AddRegistryModelRequestOutput>() {
AddRegistryModelRequestOutput.Text,
},
},
Reasoning = true,
SupportsTemperature = true,
SupportsTopP = true,
},
ContextWindow = 131072,
Rpm = 120,
DefaultParams = new AddRegistryModelRequestDefaultParams() {
Temperature = 0.2D,
TopP = 0.95D,
},
Hidden = false,
HealthCheck = AddRegistryModelRequestHealthCheckUnion.CreatePreflight(
new AddRegistryModelRequestHealthCheck2() {
Path = "/home",
}
),
};
var res = await sdk.Llm.Models.AddClusterRegistryModelAsync(req);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.models.add_cluster_registry_model(id="meetkai:my-custom-chat-v1", provider="openai-compatible", model_id="my-custom-chat-v1", api_format="responses", api_provider_type="groq", created=1704067200, auth={
"type": "api-key",
"value": "sk-your-provider-api-key",
}, capabilities={
"modalities": {
"input": [
"text",
],
"output": [
"text",
],
},
"reasoning": True,
"supports_temperature": True,
"supports_top_p": True,
}, display_name="My Custom Chat v1", base_url="https://models.example.com/v1", context_window=131072, rpm=120, default_params={
"temperature": 0.2,
"top_p": 0.95,
}, hidden=False, health_check={
"mode": "preflight",
"path": "/home",
})
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.models.addClusterRegistryModel({
id: "meetkai:my-custom-chat-v1",
provider: "openai-compatible",
modelId: "my-custom-chat-v1",
displayName: "My Custom Chat v1",
baseUrl: "https://models.example.com/v1",
apiFormat: "responses",
apiProviderType: "groq",
created: 1704067200,
auth: {
type: "api-key",
value: "sk-your-provider-api-key",
},
capabilities: {
modalities: {
input: [
"text",
],
output: [
"text",
],
},
reasoning: true,
supportsTemperature: true,
supportsTopP: true,
},
contextWindow: 131072,
rpm: 120,
defaultParams: {
temperature: 0.2,
topP: 0.95,
},
hidden: false,
healthCheck: {
mode: "preflight",
path: "/home",
},
});
console.log(result);
}
run();curl --request POST \
--url https://apigw.mka1.com/api/v1/llm/models/registry/cluster \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "meetkai:my-custom-chat-v1",
"provider": "openai-compatible",
"modelId": "my-custom-chat-v1",
"displayName": "My Custom Chat v1",
"baseUrl": "https://models.example.com/v1",
"apiFormat": "responses",
"created": 1704067200,
"auth": {
"type": "api-key",
"value": "sk-your-provider-api-key"
},
"capabilities": {
"modalities": {
"input": [
"text"
],
"output": [
"text"
]
},
"reasoning": true,
"supportsTemperature": true,
"supportsTopP": true
},
"contextWindow": 131072,
"rpm": 120,
"defaultParams": {
"temperature": 0.2,
"topP": 0.95
},
"hidden": false,
"healthCheck": {
"url": "https://models.example.com/health",
"method": "GET"
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'meetkai:my-custom-chat-v1',
provider: 'openai-compatible',
modelId: 'my-custom-chat-v1',
displayName: 'My Custom Chat v1',
baseUrl: 'https://models.example.com/v1',
apiFormat: 'responses',
created: 1704067200,
auth: {type: 'api-key', value: 'sk-your-provider-api-key'},
capabilities: {
modalities: {input: ['text'], output: ['text']},
reasoning: true,
supportsTemperature: true,
supportsTopP: true
},
contextWindow: 131072,
rpm: 120,
defaultParams: {temperature: 0.2, topP: 0.95},
hidden: false,
healthCheck: {url: 'https://models.example.com/health', method: 'GET'}
})
};
fetch('https://apigw.mka1.com/api/v1/llm/models/registry/cluster', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "meetkai:my-custom-chat-v1",
"provider": "openai-compatible",
"model_id": "my-custom-chat-v1",
"source": "database",
"immutable": false,
"definition": {
"id": "meetkai:my-custom-chat-v1",
"provider": "openai-compatible",
"modelId": "my-custom-chat-v1",
"displayName": "My Custom Chat v1",
"baseUrl": "https://models.example.com/v1",
"apiFormat": "responses",
"created": 1704067200,
"auth": {
"type": "api-key",
"value": "****"
},
"capabilities": {
"modalities": {
"input": [
"text"
],
"output": [
"text"
]
},
"reasoning": true,
"supportsTemperature": true,
"supportsTopP": true
},
"contextWindow": 131072,
"rpm": 120,
"defaultParams": {
"temperature": 0.2,
"topP": 0.95
},
"hidden": false,
"healthCheck": {
"mode": "preflight",
"path": "/models"
},
"source": "database",
"immutable": false
},
"health": {
"is_available": true,
"last_health_check": 1704067200000,
"error": null
},
"created_at": 1704067200000,
"updated_at": 1704153600000
}Models
Add a cluster-owned model
Adds an operator-owned, database-sourced model that a cluster admin can grant to orgs (see /models/cluster_registry). Cluster admin only.
POST
/
api
/
v1
/
llm
/
models
/
registry
/
cluster
CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
AddRegistryModelRequest req = new AddRegistryModelRequest() {
Id = "meetkai:my-custom-chat-v1",
Provider = "openai-compatible",
ModelId = "my-custom-chat-v1",
DisplayName = "My Custom Chat v1",
BaseUrl = "https://models.example.com/v1",
ApiFormat = AutoEndpoint.Responses,
ApiProviderType = AddRegistryModelRequestApiProviderType.Groq,
Created = 1704067200,
Auth = AddRegistryModelRequestAuthUnion.CreateApiKey(
new AddRegistryModelRequestAuth1() {
Value = "sk-your-provider-api-key",
}
),
Capabilities = new AddRegistryModelRequestCapabilities() {
Modalities = new AddRegistryModelRequestModalities() {
Input = new List<AddRegistryModelRequestInput>() {
AddRegistryModelRequestInput.Text,
},
Output = new List<AddRegistryModelRequestOutput>() {
AddRegistryModelRequestOutput.Text,
},
},
Reasoning = true,
SupportsTemperature = true,
SupportsTopP = true,
},
ContextWindow = 131072,
Rpm = 120,
DefaultParams = new AddRegistryModelRequestDefaultParams() {
Temperature = 0.2D,
TopP = 0.95D,
},
Hidden = false,
HealthCheck = AddRegistryModelRequestHealthCheckUnion.CreatePreflight(
new AddRegistryModelRequestHealthCheck2() {
Path = "/home",
}
),
};
var res = await sdk.Llm.Models.AddClusterRegistryModelAsync(req);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.models.add_cluster_registry_model(id="meetkai:my-custom-chat-v1", provider="openai-compatible", model_id="my-custom-chat-v1", api_format="responses", api_provider_type="groq", created=1704067200, auth={
"type": "api-key",
"value": "sk-your-provider-api-key",
}, capabilities={
"modalities": {
"input": [
"text",
],
"output": [
"text",
],
},
"reasoning": True,
"supports_temperature": True,
"supports_top_p": True,
}, display_name="My Custom Chat v1", base_url="https://models.example.com/v1", context_window=131072, rpm=120, default_params={
"temperature": 0.2,
"top_p": 0.95,
}, hidden=False, health_check={
"mode": "preflight",
"path": "/home",
})
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.models.addClusterRegistryModel({
id: "meetkai:my-custom-chat-v1",
provider: "openai-compatible",
modelId: "my-custom-chat-v1",
displayName: "My Custom Chat v1",
baseUrl: "https://models.example.com/v1",
apiFormat: "responses",
apiProviderType: "groq",
created: 1704067200,
auth: {
type: "api-key",
value: "sk-your-provider-api-key",
},
capabilities: {
modalities: {
input: [
"text",
],
output: [
"text",
],
},
reasoning: true,
supportsTemperature: true,
supportsTopP: true,
},
contextWindow: 131072,
rpm: 120,
defaultParams: {
temperature: 0.2,
topP: 0.95,
},
hidden: false,
healthCheck: {
mode: "preflight",
path: "/home",
},
});
console.log(result);
}
run();Authorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Body
application/json
Available options:
responses, completions, embeddings, images, transcriptions, tts Available options:
groq, azure, meetkai, meetkaiGateway, fal, openai Required range:
0 <= x <= 9007199254740991- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
-9007199254740991 < x <= 9007199254740991Required range:
-9007199254740991 < x <= 9007199254740991Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Was this page helpful?
⌘I